//
//  ButtonsViewController.m
//  Week3_ControllerExample
//
//  Created by Jason Fieldman on 1/25/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "ButtonsViewController.h"
#import "NeatTabBarController.h"
#import "PreallocTableViewController.h"
#import "ModalViewController.h"

@implementation ButtonsViewController


- (id) init {
	if (self = [super init]) {
		self.title = @"Buttons!";
		self.tabBarItem = [[[UITabBarItem alloc] initWithTitle:@"But Contr." image:[UIImage imageNamed:@"tabbar_icon.png"] tag:0] autorelease];
		
		/* Create our top level controller view */
		self.view = [[[UIView alloc] initWithFrame:CGRectMake(0, 0, 320, 480)] autorelease];
		self.view.autoresizesSubviews = YES;
		self.view.autoresizingMask = UIViewAutoresizingFlexibleWidth | UIViewAutoresizingFlexibleHeight;
		
		/* Add the buttons to our view */
		UIButton *button1 = [UIButton buttonWithType:UIButtonTypeRoundedRect];
		button1.frame = CGRectMake(5, 10, 70, 40);
		[button1 setTitle:@"But Nav" forState:UIControlStateNormal];
		[button1 addTarget:self action:@selector(pressedButton1:) forControlEvents:UIControlEventTouchUpInside];
		[self.view addSubview:button1];
		
		UIButton *button2 = [UIButton buttonWithType:UIButtonTypeRoundedRect];
		button2.frame = CGRectMake(85, 10, 70, 40);
		[button2 setTitle:@"Tab Nav" forState:UIControlStateNormal];
		[button2 addTarget:self action:@selector(pressedButton2:) forControlEvents:UIControlEventTouchUpInside];
		[self.view addSubview:button2];
		
		UIButton *button3 = [UIButton buttonWithType:UIButtonTypeRoundedRect];
		button3.frame = CGRectMake(165, 10, 70, 40);
		[button3 setTitle:@"Table" forState:UIControlStateNormal];
		[button3 addTarget:self action:@selector(pressedButton3:) forControlEvents:UIControlEventTouchUpInside];
		[self.view addSubview:button3];
		
		UIButton *button4 = [UIButton buttonWithType:UIButtonTypeRoundedRect];
		button4.frame = CGRectMake(245, 10, 70, 40);
		[button4 setTitle:@"Modal" forState:UIControlStateNormal];
		[button4 addTarget:self action:@selector(pressedButton4:) forControlEvents:UIControlEventTouchUpInside];
		[self.view addSubview:button4];
	}
	return self;
}


- (BOOL) shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)toInterfaceOrientation {
	return YES;
}


/* Since we're going to push a new view controller onto the navigation controller we're present in, we're going to
   reference self.navigationController.  If that doesn't exist, we need to throw a warning */

- (void) pressedButton1:(id)sender {
	if (!self.navigationController) {
		[[[[UIAlertView alloc] initWithTitle:@"Error!" message:@"There is no navigationController element of this view controller" delegate:nil cancelButtonTitle:@"Sorry, my bad" otherButtonTitles:nil] autorelease] show];
		return;
	}
	
	[self.navigationController pushViewController:[[[ButtonsViewController alloc] init] autorelease] animated:YES];
}
		

- (void) pressedButton2:(id)sender {
	if (!self.navigationController) {
		[[[[UIAlertView alloc] initWithTitle:@"Error!" message:@"There is no navigationController element of this view controller" delegate:nil cancelButtonTitle:@"Sorry, my bad" otherButtonTitles:nil] autorelease] show];
		return;
	}
	
	[self.navigationController pushViewController:[[[NeatTabBarController alloc] init] autorelease] animated:YES];
}


- (void) pressedButton3:(id)sender {
	if (!self.navigationController) {
		[[[[UIAlertView alloc] initWithTitle:@"Error!" message:@"There is no navigationController element of this view controller" delegate:nil cancelButtonTitle:@"Sorry, my bad" otherButtonTitles:nil] autorelease] show];
		return;
	}
	
	[self.navigationController pushViewController:[[[PreallocTableViewController alloc] init] autorelease] animated:YES];
}


- (void) pressedButton4:(id)sender {
	[self presentModalViewController:[[[ModalViewController alloc] init] autorelease] animated:YES];
}



- (void)dealloc {
    [super dealloc];
}


@end
