//
//  DynamicTableViewController.m
//  Week3_ControllerExample
//
//  Created by Jason Fieldman on 1/25/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "DynamicTableViewController.h"


@implementation DynamicTableViewController

- (id) init {
	if (self = [super init]) {
		self.title = @"Dynamic Tab.";
		self.tabBarItem = [[[UITabBarItem alloc] initWithTitle:@"Dynamic Tab." image:[UIImage imageNamed:@"tabbar_icon.png"] tag:0] autorelease];
		
		self.view = [[[UIView alloc] initWithFrame:CGRectMake(0, 0, 320, 480)] autorelease];
		self.view.autoresizesSubviews = YES;
		self.view.autoresizingMask = UIViewAutoresizingFlexibleWidth | UIViewAutoresizingFlexibleHeight;
		
		myTableView = [[[UITableView alloc] initWithFrame:CGRectMake(0, 0, 320, 480)] autorelease];
		myTableView.delegate = self;
		myTableView.dataSource = self;
		myTableView.autoresizingMask = UIViewAutoresizingFlexibleWidth | UIViewAutoresizingFlexibleHeight;
		[self.view addSubview:myTableView];
		
	}
	return self;
}


- (BOOL) shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)toInterfaceOrientation {
	return YES;
}


- (void)dealloc {
    [super dealloc];
}


/* -------------------------- TABLE DELEGATE METHODS ----------------------- */

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
	[tableView deselectRowAtIndexPath:indexPath animated:YES];
	[[[[UIAlertView alloc] initWithTitle:@"Congrats" message:[NSString stringWithFormat:@"You pressed the cell at index %d", indexPath.row] delegate:nil cancelButtonTitle:@"I'm special" otherButtonTitles:nil] autorelease] show];
}

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
	return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
	return kDynamicTableViewController_NumCells;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
	/* Let's see if we have any cells available.. */
	UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"dynamicCellIdentifier"];
	
	/* If not, we need to create one (be sure to use the same identifier!) */
	if (!cell) {
		cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleValue1 reuseIdentifier:@"dynamicCellIdentifier"] autorelease];		
	}
	
	/* Notice that we're setting this text string in the tableView:cellForRowAtIndexPath: message!
	   That means that we're calling this accessor every time we're getting a cell object, so there is a bit of slow-down
	   compared to the pregenerated cell creation, but in exchange we can have tables with near infinite numbers of cells */
	cell.textLabel.text = [NSString stringWithFormat:@"This is the cell at index %d", indexPath.row];
	return cell;
}



@end
