//
//  NeatTabBarController.m
//  Week3_ControllerExample
//
//  Created by Jason Fieldman on 1/25/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "NeatTabBarController.h"
#import "AwesomeNavigationController.h"
#import "ButtonsViewController.h"
#import "PreallocTableViewController.h"
#import "DynamicTableViewController.h"

@implementation NeatTabBarController

- (id) init {
	if (self = [super init]) {
		self.title = @"Tabs!";
		self.tabBarItem = [[[UITabBarItem alloc] initWithTitle:@"Tab Contr." image:[UIImage imageNamed:@"tabbar_icon.png"] tag:0] autorelease];
		
		/* We're assigning the view controllers to the tab controller.. their button info comes from their own
		   tabBarItem or title info */
		
		NSArray *viewControllerArray = [NSArray arrayWithObjects:
										[[[AwesomeNavigationController alloc] initWithRootViewController:[[[ButtonsViewController alloc] init] autorelease]] autorelease],
										[[[ButtonsViewController alloc] init] autorelease],
										[[[PreallocTableViewController alloc] init] autorelease],
										[[[DynamicTableViewController alloc] init] autorelease],
										nil];
		
		self.viewControllers = viewControllerArray;
	}
	return self;
}


- (void)dealloc {
    [super dealloc];
}


@end
